# kpt-tmr-group

kpt-tmr-group - 科湃腾TMR集团版

## Requirements

- Go >= 1.17
- MySQL >= 5.7
- Docker CE >= 19.03
- Docker compose

## Develops

本地开始开发前，请先阅读 README 和 Makefile，标准使用流程:

需要设置的环境变量:

- export APP_ENVIRONMENT=test
- export GO_WORK_DIR=D:\project\golangNew\kpt-tmr-group

然后你可以尝试编译:
- make build

本地测试:
- make test

lint:
在开发完后请记得跑下make lint做代码检查(🤔: 你可能会有疑问，为啥不配置JOB跑呢？-->  因为golangci-lint跑本项目需要6G+的内存，会触发OOM😂)

需要更新 gomock:
- 生成 mock 前，请确保你能够编译 & 编译完成
- make generate

备注
- GetDataByName(公共接口，目前只兼容startTime和endTime字段)

TODO 列表
- proto3 int64 jsonpb处理后自动转成string
  * ~~现在处理的方式是把int64类型改成int32类型~~
- 用户登出没有用redis做缓存，所以后端没有提供登出接口，有以下弊端
  * 用户的token没有过期，如被人劫持，会被使用到直到token过期
  
- 饲料列表--小料车下拉框问题
- ~~权限列表排序的问题~~
