package route

import (
	"kpt-tmr-group/http/handler/pasture"

	"github.com/gin-gonic/gin"
)

func PastureAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}

		s.POST("/group/class/sync", pasture.CategorySync)
		s.POST("/group/class/delete", pasture.CategoryDelete)
	}
}
